PETSc version 3.17.4
Fix/Edit manual page

# CHKERRQ

Checks error code returned from PETSc function

### Synopsis

    #include <petscsys.h>
    void CHKERRQ(PetscErrorCode ierr)

Not Collective

### Input Parameters

| ierr | - nonzero error code

### Notes

Deprecated in favor of PetscCall(). This routine behaves identically to it.

### See Also

PetscCall()

### Level

deprecated

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/dm/tutorials/ex13f90aux.F90.html
src/dm/label/tutorials/ex1f90.F90.html
src/ksp/ksp/tutorials/ex13f90.F90.html
src/ksp/ksp/tutorials/ex44f.F90.html
src/snes/tutorials/ex5f90.F90.html
src/snes/tutorials/ex5f90t.F90.html
src/snes/tutorials/ex73f90t.F90.html
src/ts/tutorials/ex22f_mf.F90.html
src/tao/leastsquares/tutorials/chwirut1f.F90.html
src/tao/leastsquares/tutorials/chwirut2f.F90.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages